engine.hh File Reference
`#include <gecode/search.hh>`
`#include <gecode/search/support.hh>`
`#include <gecode/search/worker.hh>`
`#include <gecode/search/par/path.hh>`
`#include <gecode/search/par/engine.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Search::Par::Engine< Tracer >
| Parallel depth-first search engine More...
class | Gecode::Search::Par::Engine< Tracer >::Worker
| Parallel depth-first search worker More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Search
| Search engines
namespace | Gecode::Search::Par